No package libmcrypt available.


Centos安装PHP时,安装php依赖包时yum install libmcrypt libmcrypt-devel,报错如下:

No package libmcrypt available.
No package libmcrypt-devel available.
Error: Nothing to do

然后编译的时候,又报错:

checking for mcrypt support... yes
configure: error: mcrypt.h not found. Please reinstall libmcrypt.

解决方法:yum  install epel-release  //扩展包更新包


作者:JPinsz,发布于:2019/05/15
原文:https://www.cnblogs.com/jpinsz/p/10872522.html